aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBrian Dolbec <dolsen@gentoo.org>2016-12-23 11:37:23 -0800
committerBrian Dolbec <dolsen@gentoo.org>2016-12-23 11:37:40 -0800
commit454c72905c4eeee38ad3218e5a5c5abef185b968 (patch)
treeb5e915f2c3bbb5ee12c78bccfb5bad9f775c6a4a
parentActions._verify: support --signature path argument (diff)
downloadgentoo-keys-454c7290.tar.gz
gentoo-keys-454c7290.tar.bz2
gentoo-keys-454c7290.zip
gkeys-ldap: Add --signed to push commands in update-seeds.sh
-rwxr-xr-xgkeys-ldap/bin/update-seeds.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/gkeys-ldap/bin/update-seeds.sh b/gkeys-ldap/bin/update-seeds.sh
index c8f9e78..f7f968f 100755
--- a/gkeys-ldap/bin/update-seeds.sh
+++ b/gkeys-ldap/bin/update-seeds.sh
@@ -66,7 +66,7 @@ cd ${GKEY_SEEDS_DIR}
git add ${GKEY_SEEDS} || die " *** Failed to add modified ${GKEYS_SEEDS} file"
git add ${GKEY_SEEDS}.${GKEYS_SIG} || die " *** Failed to add ${GKEYS_SEEDS}.sig file"
git commit -m "${GKEYS_COMMIT_MSG}" || die " *** Failed to commit updates"
-git push origin master || die " *** git push failed"
+git push --signed origin master || die " *** git push failed"
cd ..
echo "Committing changes to api repo..."
@@ -76,7 +76,7 @@ cd ${API_DIR}
git add ${API_SEEDS} || die " *** Failed to add modified ${GKEYS_SEEDS} file"
git add ${API_SEEDS}.${GKEYS_SIG} || die " *** Failed to add ${GKEYS_SEEDS}.sig file"
git commit -m "${GKEYS_COMMIT_MSG}" || die " *** Failed to commit updates"
-git push origin master || die " *** git push failed"
+git push --signed origin master || die " *** git push failed"
echo "Pushing the log file to ${LOG_UPLOAD_URL}"
LOG_FILE=$( cat "${LOG_DIR}/gkeys-ldap-lastlog" )